#!/usr/bin/perl
#payrolljobcd.cgi - reads the payroll file

use strict;

use CGI qw(:standard);
use CGI::Carp qw(fatalsToBrowser);

use DBI;

print "Content-type: text/html\n\n";

#declare variables

my($inidno, $newname, $newtypecode, $newsal, $newpayhr, $newhrswk, $newsalpay);
my $dbh = DBI->connect('DBI:mysql:payfirst',"username","password");

print "<html><head><title>Employees</title></head>\n";
print "<body>\n";
print "<h1>Employee Delete Results:</h1>\n";

print "<table border=2><caption><strong>Employee Data Before Update</strong></caption>\n";
print "<thead><tr><th>Id # </th><th>Name </th><th>Type </th><th>Sal/Hr Rate</th><th>Hrs Wrkd </th></tr></thead>\n";
print "<tbody>\n";

my $rows = $dbh->prepare("select idno, name, typecode, sal, payhr, hrswk from emptest");
$rows->execute;

while(my ($idno, $name, $typecode, $sal, $payhr, $hrswk) = $rows->fetchrow_array) {
    if ($typecode eq "S" )  
        {
          print "<tr><td>$idno</td><td>$name</td><td>$typecode</td><td>$sal</td><td></td></tr>\n";
        }
    else
        {
          print "<tr><td>$idno</td><td>$name</td><td>$typecode</td><td>$payhr</td><td>$hrswk</td></tr>\n";
        }      
   }

print "</tbody></table><br>\n";

$inidno = param('Idno');

print "<table border=2><caption><strong>Employee Update Data</strong></caption>\n";
print "<thead><tr><th>Id # </th><th>Name </th><th>Type </th><th>Sal/Hr Rate</th><th>Hrs Wrkd </th></tr></thead>\n";
print "<tbody>\n";
print "<tr><td>$inidno</td><td>$newname</td><td>$newtypecode</td><td>$newsalpay</td><td>$newhrswk</td></tr>\n";
print "</tbody></table><br>\n";


my $sth = $dbh->prepare("DELETE from emptest where $inidno = emptest.idno");
$sth->execute
            or die "Couldn't execute update statement: " . $sth->errstr;

print "<table border=2><caption><strong>Employee Data After Delete</strong></caption>\n";
print "<thead><tr><th>Id # </th><th>Name </th><th>Type </th><th>Sal/Hr Rate</th><th>Hrs Wrkd </th></tr></thead>\n";
print "<tbody>\n";

my $rows = $dbh->prepare("select idno, name, typecode, sal, payhr, hrswk from emptest");
$rows->execute;

while(my ($idno, $name, $typecode, $sal, $payhr, $hrswk) = $rows->fetchrow_array) {
    if ($typecode eq "S" )  
        {
          print "<tr><td>$idno</td><td>$name</td><td>$typecode</td><td>$sal</td><td></td></tr>\n";
        }
    else
        {
          print "<tr><td>$idno</td><td>$name</td><td>$typecode</td><td>$payhr</td><td>$hrswk</td></tr>\n";
        }      
   }

print "</tbody></table>\n";



$dbh->disconnect
    or warn "Disconnection failed: $DBI::errstr\n";

print "</body></html>\n";