#!/usr/bin/perl
#payrolljobcd.cgi - reads the payroll file

use strict;

use CGI qw(:standard);
use CGI::Carp qw(fatalsToBrowser);

use DBI;

print "Content-type: text/html\n\n";

#declare variables

my $dbh = DBI->connect('DBI:mysql:payfirst',"username","password");

print "<html><head><title>Employees</title></head>\n";
print "<body>\n";
print "<h1>Employee Update:</h1>\n";

print "<table border=2><caption><strong>Employee Data</strong></caption>\n";
print "<thead><tr><th>Id # </th><th>Name </th><th>Type </th><th>Sal/Hr Rate</th><th>Hrs Wrkd </th></tr></thead>\n";
print "<tbody>\n";

my $rows = $dbh->prepare("select idno, name, typecode, sal, payhr, hrswk from empfirst");
$rows->execute;

while(my ($idno, $name, $typecode, $sal, $payhr, $hrswk) = $rows->fetchrow_array) {
    if ($typecode eq "S" )  
        {
          print "<tr><td>$idno</td><td>$name</td><td>$typecode</td><td>$sal</td><td></td></tr>\n";
        }
    else
        {
          print "<tr><td>$idno</td><td>$name</td><td>$typecode</td><td>$payhr</td><td>$hrswk</td></tr>\n";
        }      
   }

print "</tbody></table><br><br>\n";

print "<form action='http://cisweb.bristol.mass.edu/~pgrocer/cgi-bin/fall2008/dbexamples/empjobcddbu1.cgi' method=post>\n";
print "Id #: <input name=Idno Size=5> Name: <input name=Name Size=25> Type: <input name=TypeCd Size=2> Sal/Hr Rate: <input name=SalHRate Size=9> Hrs Wrkd: <input name=HrsWrkd Size=3><br><br>\n";
print "<input type=submit value=Submit> <input type=reset value=Reset>
<br>\n";
print"</form>\n";


$dbh->disconnect
    or warn "Disconnection failed: $DBI::errstr\n";

print "</body></html>\n";